/* Snackbar styles */
.link-list-item {
    display: block;
    width: 100%;
}

#snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 9000;
    left: 50%;
    bottom: 30px;
    font-size: 17px;
}

#snackbar.shown {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Success snackbar style */
#snackbar.success-snackbar {
    background-color: #4CAF50; /* Green background for success messages */
}

/* Error snackbar style */
#snackbar.error-snackbar {
    background-color: #F44336; /* Red background for error messages */
}

/* Info snackbar style */
#snackbar.info-snackbar {
    background-color: #2196F3; /* Blue background for info messages */
}

/* Default snackbar style (if no type specified) */
#snackbar.default-snackbar {
    background-color: #333; /* Default background color */
}

@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}